# Poco::Crypto

# class ECDSASignature

Library: Crypto
Package: ECDSA
Header: Poco/Crypto/ECDSADigestEngine.h

## Description

A helper class for dealing with ECDSA signatures.

## Member Summary

Member Functions: rawR, rawS, toDER

## Types Aliases

### ByteVec

using ByteVec = std::vector < unsigned char >;

## Constructors

### ECDSASignature

explicit ECDSASignature(
const ByteVec & derSignature
);

Creates the ECDSASignature from a DER-encoded signature.

### ECDSASignature

ECDSASignature(
const ByteVec & rawR,
const ByteVec & rawS
);

Creates the ECDSASignature from raw r and s values.

## Destructor

### ~ECDSASignature

~ECDSASignature();

Destroys the ECDSASignature.

## Member Functions

### rawR

ByteVec rawR() const;

Returns a raw P value.

### rawS

ByteVec rawS() const;

Returns a raw Q value.

### toDER

ByteVec toDER() const;

Returns a buffer containing the DER-encoded signature.